Bug 1973689 (CVE-2021-3610) - CVE-2021-3610 ImageMagick: heap-based buffer overflow in ReadTIFFImage() in coders/tiff.c
Summary: CVE-2021-3610 ImageMagick: heap-based buffer overflow in ReadTIFFImage() in c...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-3610
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1973691 1973692
Blocks: 1967292 1973694
TreeView+ depends on / blocked
 
Reported: 2021-06-18 13:45 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-02-15 18:59 UTC (History)
4 users (show)

Fixed In Version: ImageMagick 7.0.11-14
Doc Type: If docs needed, set a value
Doc Text:
A heap-based buffer overflow vulnerability was found in ImageMagick in ReadTIFFImage() in coders/tiff.c. This issue is due to an incorrect setting of the pixel array size, which can lead to a crash and segmentation fault.
Clone Of:
Environment:
Last Closed: 2021-06-21 22:40:25 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-06-18 13:45:08 UTC
A heap-based buffer overflow vulnerability was found in ImageMagick in ReadTIFFImage() in coders/tiff.c because of an incorrect setting of the pixel array size which can lead to crash and segmentation fault. This flaw affects ImageMagick versions prior to 7.1.0-0 and 7.0.11-14.

Reference and upstream patch:
https://github.com/ImageMagick/ImageMagick/commit/930ff0d1a9bc42925a7856e9ea53f5fc9f318bf3

Comment 1 Guilherme de Almeida Suckevicz 2021-06-18 13:45:51 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1973691]
Affects: fedora-all [bug 1973692]

Comment 2 Todd Cullum 2021-06-21 21:40:41 UTC
Flaw summary:

ImageMagick's ReadTIFFImage() function in coders/tiff.c assigned a size (`extent`) used to allocate memory via AcquireQuantumMemory()[1]. `extent` was calculated improperly and was too small, which could lead to an out-of-bounds read subsequently such as when converting an image. The upstream patch calculates `extent` to be a larger value in order to avoid this.

1. https://imagemagick.org/api/MagickCore/memory_8c.html#a417a408aa35c9f385d31d2e40eed4b27

Comment 3 Product Security DevOps Team 2021-06-21 22:40:25 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3610


Note You need to log in before you can comment on or make changes to this bug.